Skip to content

Dashboard Services

This section describes Dashboard based API services.

These services use apps and keywords defined in your Dashboard. To add/remove apps you should use your Dashboard.

Dashboard Apps ( 5 Credits / Request )

This endpoint provides info of all apps added to MobileAction dashboard by a user. Track ids can be used in daily keyword rankings service.

bash
GET /gateway/account/app/tracked?token=YOUR_API_KEY

Request Parameters

ParameterDescription
token(required) API key

Response Fields

FieldDescription
statusStatus of the request
dataJSON object contains the data
availableCountriesList of country codes of app's available countries
competitorsList of app information of tracked app's competitors
nameApp name
trackIdApp's store track id
ratingCountNumber of ratings of the app

Example request

bash
curl "https://api.mobileaction.co/gateway/app/tracked?token=YOUR_API_KEY"

Example response

json
{
  "data": [
    {
      "isStoreAccountConnected": false,
      "availableCountries": [
        "US"
      ],
      "competitors": [],
      "trackId": "284882215",
      "name": "Facebook",
      "categoryName": "Social Networking",
      "categoryId": 6005,
      "iconUrl": "https://is4-ssl.mzstatic.com/image/thumb/Purple113/v4/fb/3b/c3//source/60x60bb.jpg",
      "price": "0.00",
      "developerId": "284882218",
      "developerName": "Facebook, Inc.",
      "rating": 3.5,
      "ratingCount": 3338282
    }
  ],
  "success": true
}

Daily Keyword Rankings ( 50 Credits / Request )

This endpoint provides keyword rankings and keyword metadata of the apps user added to dashboard.

bash
GET /gateway/account/app/{trackId}/keywords/rankings/{countryCode}?token=YOUR_API_KEY&device={device}&date={date}

Request Parameters

ParameterDescription
token(required) API key
trackId(required) AppStore/PlayStore track id of app
countryCode(required) Two letter country code
device(optional, default = “iphone") Device identifier for IOS apps (could be either "iphone" or "ipad")
date(optional, default = Today) Date in YYYY-MM-DD format that rankings are gathered

Response Fields

FieldDescription
statusStatus of the request
dataJSON object contains the data
keywordTracked keyword
searchVolumeSearch volume of the keyword
chanceChance of getting ranked in the keyword
numberOfAppsNumber of apps ranked for the keyword
rankKeyword ranking
changeDaily ranking change
rankingHistoryList of rankings for date
brandAppKeyword brand app track id

Example request

bash
curl "https://api.mobileaction.co/gateway/account/app/284882215/keywords/rankings/US?device=iphone&token=YOUR_API_KEY"

Example response

json
{
  "data": [
    {
      "keyword": "book",
      "searchVolume": 50.0,
      "rank": 0,
      "change": 0,
      "countryCode": "US",
      "chance": 48.3,
      "numberOfApps": 146235,
      "rankingHistory": [],
      "brandApp": "com.facebook.katana"
    }
  ],
  "success": true
}

Add Keywords ( 1 Credit / Request )

This endpoint provides addition of keywords to the dashboard account. This endpoint also tracks app on dashboard service if not already tracked.

NOTE

This endpoint uses unique appId provided by ITunes Connect and Play Store e.g. For Facebook iOS: 284882215 and for Facebook Android: com.facebook.katana

Limited by 200 keywords per request and each keyword must be less than 255 characters.

bash
POST /gateway/account/app/{trackId}/keywords/{countryCode}?token=YOUR_API_KEY

["keyword1", "keyword2", "keyword3"]

Request Parameters

ParameterDescription
token(required) API key
trackId(required) AppStore/PlayStore track id of app
countryCode(required) Two letter country code
keywords(required) Request body in form of JSON String array of keyword list to be added

Response Fields

FieldDescription
statusStatus of the request
dataJSON object containing the rankings of successfully added keywords

Example request

bash
curl -X POST "https://api.mobileaction.co/gateway/account/app/com.facebook.katana/keywords/US?token=YOUR_API_KEY" -d '["photo","share","friends"]'
bash
curl -X POST "https://api.mobileaction.co/gateway/account/app/284882215/keywords/US?token=YOUR_API_KEY" -d '["photo","share","friends"]'

Example response

Here friends is not returned in result because it was already tracked.

json
{
  "data": [
    {
      "keyword": "friends",
      "searchVolume": 54.0,
      "rank": 36,
      "change": 0,
      "countryCode": "US",
      "chance": 50.2,
      "numberOfApps": 22894,
      "rankingHistory": [
        {
          "rank": 35,
          "date": "2019-12-11"
        },
        {
          "rank": 36,
          "date": "2019-12-12"
        },
        {
          "rank": 36,
          "date": "2019-12-13"
        }
      ],
      "createdAt": "2019-12-13T07:05:52.574"
    },
    {
      "keyword": "photo",
      "searchVolume": 62.0,
      "rank": 114,
      "change": 1,
      "countryCode": "US",
      "chance": 42.1,
      "numberOfApps": 129944,
      "rankingHistory": [
        {
          "rank": 116,
          "date": "2019-12-11"
        },
        {
          "rank": 115,
          "date": "2019-12-12"
        },
        {
          "rank": 114,
          "date": "2019-12-13"
        }
      ],
      "createdAt": "2019-12-13T07:05:52.574"
    },
    {
      "keyword": "share",
      "searchVolume": 43.0,
      "rank": 40,
      "change": -1,
      "countryCode": "US",
      "chance": 60.699999999999996,
      "numberOfApps": 21634,
      "rankingHistory": [
        {
          "rank": 56,
          "date": "2019-12-11"
        },
        {
          "rank": 39,
          "date": "2019-12-12"
        },
        {
          "rank": 40,
          "date": "2019-12-13"
        }
      ],
      "createdAt": "2019-12-13T07:05:52.574"
    }
  ],
  "success": true
}

Delete Keywords ( 1 Credit / Request )

This endpoint removes the keywords added to the given app.

bash
DELETE /gateway/account/app/{trackId}/keywords/{countryCode}?token=YOUR_API_KEY

["keyword1", "keyword2", "keyword3"]

Request Parameters

ParameterDescription
token(required) API key
trackId(required) AppStore/PlayStore track id of app
countryCode(required) Two letter country code
keywords(required) Request body in form of JSON String array of keyword list to be added

Response Fields

FieldDescription
dataJSON object contains the data of removed keywords

Example request

bash
curl -X DELETE "https://api.mobileaction.co/gateway/account/app/284882215/keywords/US?token=YOUR_API_KEY" -d '["photo","share"]'

Example response

json
{
  "data": [
    {
      "value": "photo",
      "countryCode": "US",
      "pinned": false,
      "createdAt": "2019-12-13T07:05:53"
    },
    {
      "value": "share",
      "countryCode": "US",
      "pinned": false,
      "createdAt": "2019-12-13T07:05:53"
    }
  ],
  "success": true
}

Number of Keywords ( 1 Credit / Request )

This endpoint provides number of tracked keywords by country for the app.

bash
GET /gateway/account/app/{trackId}/keywords/count-by-country?token=YOUR_API_KEY

Request Parameters

ParameterDescription
token(required) API key
trackId(required) AppStore/PlayStore track id of app

Response Fields

FieldDescription
statusStatus of the request
dataJSON object contains the data

Example request

bash
curl "https://api.mobileaction.co/gateway/account/app/284882215/keywords/count-by-country?token=YOUR_API_KEY"

Example response

json
{
  "data": {
    "TN": 8,
    "US": 4,
    "TR": 3
  },
  "success": true
}

App Search ( 1 Credit / Request )

This endpoint provides list of apps that match the given search string

bash
GET /gateway/app/search?query=APP_NAME&token=YOUR_API_KEY

Request Parameters

ParameterDescription
token(required) API key
query(required) App name query to search apps

Response Fields

FieldDescription
trackIdAppStore/PlayStore track id of app
iconUrlURL for app icon
nameApp name
developerNameDeveloper Name
searchScoreSearch ranking score for the given app result

Example request

bash
curl "https://api.mobileaction.co/gateway/app/search?query=spotify&token=YOUR_API_KEY"

Example response

json
{
  "data": [
    {
      "trackId": "324684580",
      "name": "Spotify: Music and Podcasts",
      "categoryName": "Music",
      "categoryId": 6011,
      "iconUrl": "https://is5-ssl.mzstatic.com/image/thumb/Purple113/v4/3d/a3/bc/3da3bc99-5fc6-147f-1555-12b39df35772/source/60x60bb.jpg",
      "developerId": "324684583",
      "developerName": "Spotify Ltd.",
      "rankScore": 238129.0
    },
    {
      "trackId": "1470209570",
      "name": "Spotify Kids",
      "categoryName": "Music",
      "categoryId": 6011,
      "iconUrl": "https://is1-ssl.mzstatic.com/image/thumb/Purple113/v4/a9/c3/ae/a9c3ae4e-2e33-67ed-b39f-4157f5a12bd7/source/60x60bb.jpg",
      "developerId": "324684583",
      "developerName": "Spotify Ltd.",
      "rankScore": 187214.0
    },
    {
      "trackId": "1453043471",
      "name": "Spotify Stations",
      "categoryName": "Music",
      "categoryId": 6011,
      "iconUrl": "https://is3-ssl.mzstatic.com/image/thumb/Purple123/v4/6d/54/b8/6d54b8ba-4bb0-ade7-e792-07b2e7e6b478/source/60x60bb.jpg",
      "developerId": "324684583",
      "developerName": "Spotify Ltd.",
      "rankScore": 173010.0
    }
  ],
  "success": true
}

App Search By Company URL ( 10 Credits / Request )

This endpoint provides list of apps that have a company url that match the given search string

bash
GET /gateway/app/search-by-company-url?query={companyUrl}&token=YOUR_API_KEY

Request Parameters

ParameterDescription
token(required) API key
query(required) Url query to search apps

Response Fields

FieldDescription
dataJSON object contains appstore(ios) and playstore(play) data
trackIdAppStore/PlayStore track id of app
nameApp name
iconUrlURL for App icon
developerIdDeveloper ID
developerNameDeveloper Name
categoryIdAppstore/PlayStore category id of app
categoryNameAppstore/PlayStore category name
rankScoreSearch score for the query

Example request

bash
curl "https://api.mobileaction.co/gateway/app/search-by-company-url?query=airbnb.com&token=YOUR_API_KEY"

Example response

json
{
  "data": {
    "ios": [
      {
        "trackId": "401626263",
        "name": "Airbnb",
        "iconUrl": "https://is3-ssl.mzstatic.com/image/thumb/Purple124/v4/4a/5a/b5/4a5ab5fd-057f-6c8e-7e17-63add83afa74/source/60x60bb.jpg",
        "companyUrl": "airbnb.com",
        "developerId": "401626266",
        "developerName": "Airbnb, Inc.",
        "categoryId": "6003",
        "categoryName": "Travel",
        "rankScore": 127113
      }
    ],
    "play": [
      {
        "trackId": "com.airbnb.android",
        "name": "Airbnb",
        "iconUrl": "https://lh3.googleusercontent.com/BQnvuZR500pg2ulvv3FBmRI93ODz3AjNfbz92hCieuJLvmbGY36AKhETMTTfTDgpPQI=s180",
        "companyUrl": "airbnb.com",
        "developerId": "Airbnb, Inc",
        "developerName": "Airbnb, Inc",
        "categoryId": 22,
        "categoryName": "TRAVEL_AND_LOCAL",
        "rankScore": 156576
      }
    ]
  },
  "success": true
}

Sales Metrics ( 1 Credit / Request )

This endpoint provides download history, revenue history and product page view data

bash
GET /gateway/account/app/{trackId}/data-history/{context}?start={startDate}&end={endDate}&token=YOUR_API_KEY

Request Parameters

ParameterDescription
token(required) API key
trackId(required) AppStore/PlayStore track id of app
context(required) DOWNLOAD or REVENUE_TOTAL or PAGE_VIEW
startDate(required) YYYY-MM-DD formatted date, history start date, inclusive.
endDate(required) YYYY-MM-DD formatted date, history end date, inclusive.
countryCode(optional) Two letter country code (default = all)
device(optional) IPHONE or IPAD (Same data for PlayStore)

Response Fields

FieldDescription
statusStatus of the request
dataJSON object contains the data
unitsResult value for the given context

Example request

bash
curl "https://api.mobileaction.co/gateway/account/app/1402297528/data-history/DOWNLOAD?token=YOUR_API_KEY&start=2019-12-13&end=2019-12-16"

Example response

json
{
  "data": [
    {
      "countryCode": "AU",
      "date": "2019-12-13",
      "units": 3.0
    },
    {
      "countryCode": "FR",
      "date": "2019-12-13",
      "units": 2.0
    },
    {
      "countryCode": "DE",
      "date": "2019-12-13",
      "units": 1.0
    },
    {
      "countryCode": "HU",
      "date": "2019-12-13",
      "units": 1.0
    },
    {
      "countryCode": "IT",
      "date": "2019-12-13",
      "units": 3.0
    },
    {
      "countryCode": "AE",
      "date": "2019-12-13",
      "units": 2.0
    },
    {
      "countryCode": "GB",
      "date": "2019-12-13",
      "units": 1.0
    },
    {
      "countryCode": "US",
      "date": "2019-12-13",
      "units": 100.0
    },
    {
      "countryCode": "UY",
      "date": "2019-12-13",
      "units": 1.0
    },
    {
      "countryCode": "VN",
      "date": "2019-12-13",
      "units": 1.0
    },
    {
      "countryCode": "ALL",
      "date": "2019-12-13",
      "units": 142.0
    }
  ],
  "success": true
}

Retention History ( 1 Credit / Request )

This endpoint provides retention history data

bash
GET /gateway/account/app/{trackId}/data-history/retention

Request Parameters

ParameterDescription
token(required) API key
trackId(required) AppStore/PlayStore track id of app
device(optional) IPHONE or IPAD (Same data for PlayStore)
start(required) YYYY-MM-DD formatted date, history start date, inclusive.
end(required) YYYY-MM-DD formatted date, history end date, inclusive.

Response Fields

FieldDescription
statusStatus of the request
dataJSON object contains the data
dateTimestamp date
countryTwo letter country code or ALL
playStoreVisitsNumber of play store visits

Example request

bash
curl "https://api.mobileaction.co/gateway/account/app/284882215/data-history/retention?device=IPHONE&start=2018-10-06&end=2018-10-08&token=YOUR_API_KEY"

Example response

json
{
  "success": true,
  "data": [
    {
      "date": 1538550000000,
      "country": "ALL",
      "playStoreVisits": 405
    },
    {
      "date": 1538636400000,
      "country": "ALL",
      "playStoreVisits": 330
    },
    {
      "date": 1538722800000,
      "country": "ALL",
      "playStoreVisits": 480
    }
  ]
}

Keyword Spot ( 3 Credits / Request )

This endpoint provides keywords that describe your app on itunes connect app profile

bash
GET /gateway/account/app/{trackId}/keyword-spots/{countryCode}

Request Parameters

ParameterDescription
token(required) API key
trackId(required) App Store track id of app
countryCode(required) Two letter country code

Response Fields

FieldDescription
statusStatus of the request
dataJSON object contains the data
keywordsComma separated keywords which describe your app on itunes connect app profile
localeSupported local code
updateDateTimestamp last update date

Example request

bash
curl "https://api.mobileaction.co/gateway/account/app/284882215/keyword-spots/US?token=YOUR_API_KEY"

Example response

json
{
  "data": [
    {
      "locale": "en-US",
      "keywords": "run,buy,men,kids,women,facebook,game",
      "updateDate": 1541405413000
    },
    {
      "locale": "es-MX",
      "keywords": "face,photo,chat,message,friend,news",
      "updateDate": 1541405413000
    }
  ],
  "success": true
}

Max Reach and Install Estimations ( 20 Credits / Request )

Retrieves Conversion Rate, Max Reach, and Install estimations for a list of up to 100 keywords based on a specific track ID and country.

bash
POST /gateway/keyword-estimation/v1/conversion-rate?token=YOUR_API_KEY

Request Parameters

ParameterDescription
token(required) API key

Request Body

ParameterDescription
trackId(required) AppStore/PlayStore track id of app (string)
country(required) Two letter country code (string)
keywords(required) A list of search terms you want to analyze. You can provide a minimum of 1 and a maximum of 100 keywords per request

Response Fields

FieldDescription
trackIdAppStore/PlayStore track id of app
countryTwo letter country code
resultsA list containing the calculated metrics for each of the keywords provided in the request.
results[].keywordThe specific keyword for which the estimations were generated.
results[].conversionRateThe predicted percentage of users who will install the app after seeing it in search results for this keyword. (0.0023 represents 0.23%)
results[].maxReachThe estimated total number of unique impressions available for this keyword within the specified country.
results[].installsThe projected number of installs expected for the app based on the maxReach and conversionRate

Example body

json
{
  "trackId": "com.instagram.android",
  "country": "US",
  "keywords": ["insta", "social"]
}

Example request

bash
curl --location 'https://api.mobileaction.co/gateway/keyword-estimation/v1/conversion-rate?token=YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"trackId": "com.instagram.android",
"country": "US",
"keywords": ["insta", "social"]
}'

Example response

json
{
  "data": {
    "trackId": "com.instagram.android",
    "country": "US",
    "results": [
      {
        "keyword": "insta",
        "conversionRate": 0.228,
        "maxReach": 16666,
        "installs": 4219
      },
      {
        "keyword": "social",
        "conversionRate": 0.446,
        "maxReach": 427,
        "installs": 32
      }
    ]
  },
  "success": true
}

Historical Max Reach and Install Estimation ( 30 Credits / Request )

Retrieves historical Max Reach, Conversion Rate, and Install estimations for a specific keyword and app within a requested country and date range (maximum 30 days).

bash
GET /gateway/keyword-estimation/v1/conversion-rate/historical?trackId={trackId}&country={countryCode}&keyword={keyword}&startDate={startDate}&endDate={endDate}&token=YOUR_API_KEY

Request Parameters

ParameterDescription
trackId(required) AppStore/PlayStore track id of app
country(required) Two letter country code
keyword(required) The specific keyword to retrieve historical data. This must be a single string (e.g., photo editor)
startDate(required) YYYY-MM-DD formatted date, history start date, inclusive.
endDate(required) YYYY-MM-DD formatted date, history end date, inclusive. (max range is 30 days)

Response Fields

FieldDescription
trackIdAppStore/PlayStore track id of app
countryTwo letter country code
keywordThe specific keyword to retrieve historical data. This must be a single string (e.g., photo editor)
startDateStart date in YYYY-MM-DD format
endDateEnd date in YYYY-MM-DD format
resultsA chronological list of performance metrics broken down by day for the requested date range.
results[].dateThe specific date for the data point, formatted as YYYY-MM-DD.
results[].conversionRateThe predicted percentage of users who will install the app after seeing it in search results for this keyword. (0.0023 represents 0.23%)
results[].maxReachThe total estimated unique impressions available for the keyword on this specific date.
results[].installsThe total number of estimated installs generated for the app from this keyword on this specific date.

Example request

bash
GET /gateway/keyword-estimation/v1/conversion-rate/historical?trackId=com.pozitron.hepsiburada&country=TR&keyword=alisveris&startDate=2026-01-10&endDate=2026-01-19&token=YOUR_API_KEY

Example response

json
{
  "data": {
    "trackId": "com.pozitron.hepsiburada",
    "country": "TR",
    "keyword": "alisveris",
    "startDate": "2026-01-10",
    "endDate": "2026-01-19",
    "results": [
      {
        "date": "2026-01-10",
        "conversionRate": 0.021,
        "maxReach": 48,
        "installs": 3
      },
      {
        "date": "2026-01-11",
        "conversionRate": 0.020,
        "maxReach": 47,
        "installs": 2
      }
    ]
  },
  "success": true
}